- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- CONFORMING TO
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

PBMAC1_get1_pbkdf2_param - Function to manipulate a PBMAC1 MAC structure

# SYNOPSIS

    #include <openssl/x509.h>

    PBKDF2PARAM *PBMAC1_get1_pbkdf2_param(const X509_ALGOR *macalg);

# DESCRIPTION

PBMAC1_get1_pbkdf2_param() retrieves a PBKDF2PARAM structure from an X509_ALGOR structure.

# RETURN VALUES

PBMAC1_get1_pbkdf2_param() returns NULL in case when PBMAC1 uses an algorithm apart from PBKDF2 or when passed incorrect parameters and a pointer to PBKDF2PARAM structure otherwise.

# CONFORMING TO

IETF RFC 9579 (https://tools.ietf.org/html/rfc9579)

# SEE ALSO

openssl-pkcs12(1)

# HISTORY

The PBMAC1_get1_pbkdf2_param function was added in OpenSSL 3.4.

# COPYRIGHT

Copyright 2021-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.